Messaging
List messages in a stored conversation
GET
/messages/{conversation_id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
conversation_id*string
Query Parameters
workspace_id*string
limit?integer
Format
int64Range
1 <= value <= 200Default
100offset?integer
Format
int64Range
0 <= valueDefault
0cursor?string
Opaque cursor for stable older-page pagination
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/messages/string?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/MessagePage.json", "items": [ { "$schema": "https://example.com/api/v1/schemas/DirectMessage.json", "attachments_json": "string", "author_remote_id": "string", "body": "string", "conversation_id": "string", "created_at": "2019-08-24T14:15:22Z", "direction": "string", "error_message": "string", "id": "string", "remote_created_at": "2019-08-24T14:15:22Z", "remote_message_id": "string", "send_status": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "next_cursor": "string"}